from dataclasses import dataclass
from typing import List

from src.internals.internal_types import PageProps
from src.types.kemono import Unapproved_DM


@dataclass
class ImportProps(PageProps):
    currentPage = "import"


@dataclass
class StatusPageProps(ImportProps):
    import_id: str
    is_dms: bool


@dataclass
class DMPageProps(ImportProps):
    account_id: int
    dms: List[Unapproved_DM]
    status: str
